org.modeshape.jcr.federation

## Class FederatedDocumentChanges

- java.lang.Object
- - org.modeshape.jcr.federation.FederatedDocumentChanges

- All Implemented Interfaces:
    DocumentChanges

      public class FederatedDocumentChanges
      extends Object
      implements DocumentChanges

  Default implementation of the `DocumentChanges` interface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `FederatedDocumentChanges.FederatedChildrenChanges`
    `protected class` | `FederatedDocumentChanges.FederatedMixinChanges`
    `protected class` | `FederatedDocumentChanges.FederatedParentChanges`
    `protected class` | `FederatedDocumentChanges.FederatedPropertyChanges`
    `protected class` | `FederatedDocumentChanges.FederatedReferrerChanges`

    - ### Nested classes/interfaces inherited from interface org.modeshape.jcr.spi.federation.DocumentChanges

      `DocumentChanges.ChildrenChanges, DocumentChanges.MixinChanges, DocumentChanges.ParentChanges, DocumentChanges.PropertyChanges, DocumentChanges.ReferrerChanges`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FederatedDocumentChanges(String documentId, Document document)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentChanges.ChildrenChanges` | `getChildrenChanges()` Returns the changes to the children.
    `Document` | `getDocument()` Returns the document which contains all the changes.
    `String` | `getDocumentId()` Returns the id of the document to which the changes apply.
    `DocumentChanges.MixinChanges` | `getMixinChanges()` Returns the changes to the mixins.
    `DocumentChanges.ParentChanges` | `getParentChanges()` Returns the changes to the parents.
    `DocumentChanges.PropertyChanges` | `getPropertyChanges()` Returns the changes to the properties.
    `DocumentChanges.ReferrerChanges` | `getReferrerChanges()` Returns the changes to the referrers.
    `protected void` | `setChildrenChanges(LinkedHashMap<String,Name> sessionAppendedChildren, Map<String,Name> sessionRenamedChildren, Set<String> sessionRemovedChildren, Map<String,LinkedHashMap<String,Name>> sessionChildrenInsertedBeforeAnotherChild)`
    `protected void` | `setMixinChanges(Set<Name> addedMixins, Set<Name> removedMixins)`
    `protected void` | `setParentChanges(Set<String> addedParents, Set<String> removedParents, String newPrimaryParent)`
    `protected void` | `setPropertyChanges(Set<Name> sessionChangedProperties, Set<Name> sessionRemovedProperties)`
    `protected void` | `setReferrerChanges(Set<String> addedWeakReferrers, Set<String> removedWeakReferrers, Set<String> addedStrongReferrers, Set<String> removedStrongReferrers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedDocumentChanges

          protected FederatedDocumentChanges(String documentId,
                                  Document document)

  - ### Method Detail

    - #### getChildrenChanges

          public DocumentChanges.ChildrenChanges getChildrenChanges()

      Description copied from interface: `DocumentChanges`
      Returns the changes to the children.
      Specified by:
        `getChildrenChanges` in interface `DocumentChanges`
      Returns:
        a `DocumentChanges.ChildrenChanges` instance; never null

    - #### getDocument

          public Document getDocument()

      Description copied from interface: `DocumentChanges`
      Returns the document which contains all the changes.
      Specified by:
        `getDocument` in interface `DocumentChanges`
      Returns:
        the updated document; never null

    - #### getDocumentId

          public String getDocumentId()

      Description copied from interface: `DocumentChanges`
      Returns the id of the document to which the changes apply.
      Specified by:
        `getDocumentId` in interface `DocumentChanges`
      Returns:
        the identifier of the modified document; never null

    - #### getMixinChanges

          public DocumentChanges.MixinChanges getMixinChanges()

      Description copied from interface: `DocumentChanges`
      Returns the changes to the mixins.
      Specified by:
        `getMixinChanges` in interface `DocumentChanges`
      Returns:
        a `DocumentChanges.MixinChanges` instance; never null

    - #### getParentChanges

          public DocumentChanges.ParentChanges getParentChanges()

      Description copied from interface: `DocumentChanges`
      Returns the changes to the parents.
      Specified by:
        `getParentChanges` in interface `DocumentChanges`
      Returns:
        a `DocumentChanges.ParentChanges` instance; never null

    - #### getPropertyChanges

          public DocumentChanges.PropertyChanges getPropertyChanges()

      Description copied from interface: `DocumentChanges`
      Returns the changes to the properties.
      Specified by:
        `getPropertyChanges` in interface `DocumentChanges`
      Returns:
        a `DocumentChanges.PropertyChanges` instance; never null

    - #### getReferrerChanges

          public DocumentChanges.ReferrerChanges getReferrerChanges()

      Description copied from interface: `DocumentChanges`
      Returns the changes to the referrers.
      Specified by:
        `getReferrerChanges` in interface `DocumentChanges`
      Returns:
        a `DocumentChanges.ReferrerChanges` instance; never null

    - #### setPropertyChanges

          protected void setPropertyChanges(Set<Name> sessionChangedProperties,
                                Set<Name> sessionRemovedProperties)

    - #### setMixinChanges

          protected void setMixinChanges(Set<Name> addedMixins,
                             Set<Name> removedMixins)

    - #### setChildrenChanges

          protected void setChildrenChanges(LinkedHashMap<String,Name> sessionAppendedChildren,
                                Map<String,Name> sessionRenamedChildren,
                                Set<String> sessionRemovedChildren,
                                Map<String,LinkedHashMap<String,Name>> sessionChildrenInsertedBeforeAnotherChild)

    - #### setParentChanges

          protected void setParentChanges(Set<String> addedParents,
                              Set<String> removedParents,
                              String newPrimaryParent)

    - #### setReferrerChanges

          protected void setReferrerChanges(Set<String> addedWeakReferrers,
                                Set<String> removedWeakReferrers,
                                Set<String> addedStrongReferrers,
                                Set<String> removedStrongReferrers)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.